
typedef unsigned char bool8;
typedef unsigned char uint8;
typedef unsigned short uint16;
typedef signed char int8;
typedef short int16;
typedef long int32;
typedef unsigned int uint32;

extern "C" void __cdecl eagle_mmx16(uint8 *lb,
									uint8 *lb2,
									int width,
									uint8 *screen_address1,
									uint8 *screen_address2);


void Eagle(uint8 *srcPtr, uint32 srcPitch, uint8 *deltaPtr, uint8 *dstPtr, uint32 dstPitch, int width, int height)
{
	width <<= 1;

	eagle_mmx16(srcPtr, srcPtr, width, dstPtr, dstPtr);
	dstPtr += dstPitch - 2;
	while (--height) {
		eagle_mmx16(srcPtr, srcPtr + srcPitch, width, dstPtr, dstPtr + dstPitch);
		srcPtr += srcPitch;
		dstPtr += dstPitch * 2;
	}
	eagle_mmx16(srcPtr, srcPtr, width, dstPtr, dstPtr);
	//__asm emms;
}
